javax.faces.component

## Interface ValueHolder

- All Known Subinterfaces:
    EditableValueHolder
  All Known Implementing Classes:
    HtmlBody, HtmlDoctype, HtmlHead, HtmlInputFile, HtmlInputHidden, HtmlInputSecret, HtmlInputText, HtmlInputTextarea, HtmlOutcomeTargetButton, HtmlOutcomeTargetLink, HtmlOutputFormat, HtmlOutputLabel, HtmlOutputLink, HtmlOutputText, HtmlSelectBooleanCheckbox, HtmlSelectManyCheckbox, HtmlSelectManyListbox, HtmlSelectManyMenu, HtmlSelectOneListbox, HtmlSelectOneMenu, HtmlSelectOneRadio, UIInput, UIOutcomeTarget, UIOutput, UISelectBoolean, UISelectMany, UISelectOne, UIViewParameter

      public interface ValueHolder

  ValueHolder is an interface that may be implemented by any concrete `UIComponent` that wishes to support a local value, as well as access data in the model tier via a value expression, and support conversion between String and the model tier data's native data type.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Converter` | `getConverter()` Return the `Converter` (if any) that is registered for this `UIComponent`.
    `Object` | `getLocalValue()` Return the local value of this `UIComponent` (if any), without evaluating any associated `ValueExpression`.
    `Object` | `getValue()` Gets the value of this `UIComponent`.
    `void` | `setConverter(Converter converter)` Set the `Converter` (if any) that is registered for this `UIComponent`.
    `void` | `setValue(Object value)` Set the value of this `UIComponent` (if any).

- - ### Method Detail

    - #### getLocalValue

          Object getLocalValue()

      Return the local value of this `UIComponent` (if any), without evaluating any associated `ValueExpression`.

    - #### getValue

          Object getValue()

      Gets the value of this `UIComponent`. If validation failed, as indicated by `FacesContext.isValidationFailed()` returning `true`, always return the local value. Otherwise, first, consult the local value property of this component. If non-`null` return it. If `null`, see if we have a `ValueExpression` for the `value` property. If so, return the result of evaluating the property, otherwise return `null`. Note that because the specification for `UIComponent.setValueBinding(java.lang.String, javax.faces.el.ValueBinding)` requires a call through to `UIComponent.setValueExpression(java.lang.String, javax.el.ValueExpression)`, legacy tags will continue to work.

    - #### setValue

          void setValue(Object value)

      Set the value of this `UIComponent` (if any).

      Parameters:
        `value` - The new local value

    - #### getConverter

          Converter getConverter()

      Return the `Converter` (if any) that is registered for this `UIComponent`.

    - #### setConverter

          void setConverter(Converter converter)

      Set the `Converter` (if any) that is registered for this `UIComponent`.

      Parameters:
        `converter` - New `Converter` (or `null`)

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.